CircleCI Ruby images


#1

Hello,

Ruby image names (https://circleci.com/docs/2.0/circleci-images/#ruby) are a bit ambiguous to me. The ones with 3 digits, i.e. 2.3.4 is obvious.
When I run circleci/ruby-2.2-node, does it run Ruby 2.2.0 or latest 2.2.9?


#2

Hello @giedriusr,

The MINOR level tags mean it will use the latest patch-level at the time the image was built. It’s essentially an alias of the same image, so 2.2 would be the same image as 2.2.9 but just with a shorter tag for convenience.


Wrong ruby version installed CircleCi 2
#3

This topic was automatically closed 41 days after the last reply. New replies are no longer allowed.